LINUX.ORG.RU

сутки мучаюсь нужна помощь!Как исправить?

 


1

1

kronos@kronos-Notebook-PC:~$ sudo apt-get -f install [sudo] пароль для kronos: Чтение списков пакетов… Готово Построение дерева зависимостей Чтение информации о состоянии… Готово Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено. Установлено или удалено не до конца 5 пакетов. Необходимо скачать 0 B/93,4 kB архивов. После данной операции объём занятого дискового пространства возрастёт на 0 B. dpkg: ошибка при обработке пакета libvulkan1:amd64 (--configure): пакет абсолютно неработоспособен; перед настройкой его следует переустановить Отчёт apport не записан, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа. dpkg: зависимости пакетов не позволяют настроить пакет libplacebo4:amd64: libplacebo4:amd64 зависит от libvulkan1, однако: Пакет libvulkan1:amd64 пока не настроен.

dpkg: ошибка при обработке пакета libplacebo4:amd64 (--configure): проблемы зависимостей — оставляем не настроенным dpkg: зависимости пакетов не позволяют настроить пакет gstreamer1.0-plugins-bad:amd64: gstreamer1.0-plugins-bad:amd64 зависит от libvulkan1, однако: Пакет libvulkan1:amd64 пока не настроен.

dpkg: ошибка при обработке пакета gstreamer1.0-plugins-bad:amd64 (--configure): проблемы зависимостей — оставляем не настроенным dpkg: зависимости пакетов не позволяют настроить пакет vlc-plugin-videОтчёт apport не записан, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа. Отчёт apport не записан, так как достигнуто значение MaxReports Отчёт apport не записан, так как достигнуто значение MaxReports o-output:amd64: vlc-plugin-video-output:amd64 зависит от libplacebo4 (>= 0.4.0), однако: Пакет libplacebo4:amd64 пока не настроен.

dpkg: ошибка при обработке пакета vlc-plugin-video-output:amd64 (--configure): проблемы зависимостей — оставляем не настроенным dpkg: зависимости пакетов не позволяют настроить пакет vlc: vlc зависит от vlc-plugin-video-output (= 3.0.4-1ubuntu0.2), однако: Пакет vlc-plugin-video-output:amd64 пока не настроен.

dpkg: ошибка при обработке пакета vlc (--configure): проблемы зависимостей — оставляем не настроенным При обработке следующих пакетов произошли ошибки: libvulkan1:amd64 libplacebo4:amd64 gstreamer1.0-plugins-bad:amd64 vlc-plugin-video-output:amd64 vlc E: Sub-process /usr/bin/dpkg returned an error code (1) kronos@kronos-Notebook-PC:~$

aptitude -f install не предлагает решения?

Удалять libvulkan1 не пробовал? А затем сделать apt-get autoremove.

Tanger ★★★★★ ()
Ответ на: комментарий от Tanger

kronos@kronos-Notebook-PC:~$ sudo apt autoremove libvulkan1 Чтение списков пакетов… Готово Построение дерева зависимостей Чтение информации о состоянии… Готово Следующие пакеты будут УДАЛЕНЫ: freepats liba52-0.7.4 libaribb24-0 libbasicusageenvironment1 libcddb2 libdc1394-22 libdca0 libde265-0 libdvbpsi10 libdvdnav4 libdvdread4 libebml4v5 libfaad2 libfluidsynth1 libgroupsock8 libgssdp-1.0-3 libgstreamer-plugins-bad1.0-0 libgupnp-1.0-4 libgupnp-igd-1.0-4 libkate1 liblilv-0-0 liblivemedia62 liblua5.2-0 libmad0 libmatroska6v5 libmicrodns0 libmjpegutils-2.1-0 libmms0 libmodplug1 libmpcdec6 libmpeg2-4 libmpeg2encpp-2.1-0 libmplex2-2.1-0 libnfs11 libnice10 libofa0 libopenal-data libopenal1 libopenmpt-modplug1 libprotobuf-lite10 libproxy-tools libresid-builder0c2a libsdl-image1.2 libserd-0-0 libsidplay2 libsord-0-0 libsoundtouch1 libspandsp2 libsratom-0-0 libsrtp2-1 libssh2-1 libupnp6 libusageenvironment3 libva-wayland2 libvlc-bin libvlc5 libvlccore9 libvo-aacenc0 libvo-amrwbenc0 libvulkan1 libwildmidi-config libwildmidi2 libzbar0 vlc-bin vlc-data vlc-l10n vlc-plugin-base vlc-plugin-notify vlc-plugin-qt vlc-plugin-samba vlc-plugin-skins2 vlc-plugin-video-splitter vlc-plugin-visualization Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 73 пакетов, и 0 пакетов не обновлено. Установлено или удалено не до конца 1 пакетов. После данной операции объём занятого дискового пространства уменьшится на 107 MB. Хотите продолжить? [Д/н] д dpkg: ошибка при обработке пакета libvulkan1:amd64 (--remove): пакет абсолютно неработоспособен; перед попыткой удаления его следует переустановить dpkg: предупреждение: список файлов пакета «language-selector-common» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов (Чтение базы данных … на данный момент установлено 135302 файла и каталога.) Удаляется freepats (20060219-1) … Удаляется vlc-plugin-base:amd64 (3.0.4-1ubuntu0.2) … Удаляется liba52-0.7.4:amd64 (0.7.4-19) … Удаляется libaribb24-0:amd64 (1.0.3-1) … Удаляется libbasicusageenvironment1:amd64 (2018.02.18-1) … Удаляется libcddb2 (1.3.2-5fakesync1) … Удаляется libdc1394-22:amd64 (2.2.5-1) … Удаляется libdca0:amd64 (0.0.5-10) … Удаляется libde265-0:amd64 (1.0.2-2build1) … Удаляется libdvbpsi10:amd64 (1.3.2-1) … Удаляется libdvdnav4:amd64 (6.0.0-1) … Удаляется libdvdread4:amd64 (6.0.0-1) … Удаляется libmatroska6v5:amd64 (1.4.8-1.1) … Удаляется libebml4v5:amd64 (1.3.5-2) … Удаляется libfaad2:amd64 (2.8.8-1) … Удаляется libfluidsynth1:amd64 (1.1.9-1) … Удаляется libgroupsock8:amd64 (2018.02.18-1) … Удаляется libnice10:amd64 (0.1.14-1) … Удаляется libgupnp-igd-1.0-4:amd64 (0.2.5-1) … Удаляется libgupnp-1.0-4:amd64 (1.0.2-2) … Удаляется libgssdp-1.0-3:amd64 (1.0.2-2) … Удаляется libgstreamer-plugins-bad1.0-0:amd64 (1.14.1-1ubuntu1~ubuntu18.04.1) … Удаляется libkate1:amd64 (0.4.1-7build1) … Удаляется liblilv-0-0 (0.24.2~dfsg0-1) … Удаляется liblivemedia62:amd64 (2018.02.18-1) … Удаляется liblua5.2-0:amd64 (5.2.4-1.1build1) … Удаляется libmad0:amd64 (0.15.1b-9ubuntu18.04.1) … Удаляется libmicrodns0:amd64 (0.0.8-1) … Удаляется libmplex2-2.1-0 (1:2.1.0+debian-5) … Удаляется libmpeg2encpp-2.1-0 (1:2.1.0+debian-5) … Удаляется libmjpegutils-2.1-0 (1:2.1.0+debian-5) … Удаляется libmms0:amd64 (0.6.4-2) … Удаляется libmodplug1:amd64 (1:0.8.9.0-1) … Удаляется libmpcdec6:amd64 (2:0.1~r495-1) … Удаляется libmpeg2-4:amd64 (0.5.1-8) … Удаляется libnfs11:amd64 (2.0.0-1~exp1) … Удаляется libofa0:amd64 (0.9.3-15) … Удаляется libopenal1:amd64 (1:1.18.2-2) … Удаляется libopenal-data (1:1.18.2-2) … Удаляется libopenmpt-modplug1:amd64 (0.3.6-1) … Удаляется libprotobuf-lite10:amd64 (3.0.0-9.1ubuntu1) … Удаляется libproxy-tools (0.4.15-1) … Удаляется libresid-builder0c2a (2.1.1-15ubuntu1) … Удаляется libsdl-image1.2:amd64 (1.2.12-8) … Удаляется libsratom-0-0:amd64 (0.6.0~dfsg0-1) … Удаляется libsord-0-0:amd64 (0.16.0~dfsg0-1) … Удаляется libserd-0-0:amd64 (0.28.0~dfsg0-1) … Удаляется libsidplay2 (2.1.1-15ubuntu1) … Удаляется libsoundtouch1:amd64 (1.9.2-3) … Удаляется libspandsp2:amd64 (0.0.6+dfsg-0.1) … Удаляется libsrtp2-1:amd64 (2.1.0-1) … Удаляется libssh2-1:amd64 (1.8.0-1) … Удаляется libupnp6:amd64 (1:1.6.24-4) … Удаляется libusageenvironment3:amd64 (2018.02.18-1) … Удаляется libva-wayland2:amd64 (2.1.0-3) … Удаляется vlc-bin (3.0.4-1ubuntu0.2) … Удаляется libvlc-bin:amd64 (3.0.4-1ubuntu0.2) … Удаляется libvlc5:amd64 (3.0.4-1ubuntu0.2) … Удаляется vlc-plugin-visualization:amd64 (3.0.4-1ubuntu0.2) … Удаляется vlc-plugin-video-splitter:amd64 (3.0.4-1ubuntu0.2) … Удаляется vlc-plugin-skins2:amd64 (3.0.4-1ubuntu0.2) … Удаляется vlc-plugin-samba:amd64 (3.0.4-1ubuntu0.2) … Удаляется libvo-aacenc0:amd64 (0.1.3-1) … Удаляется libvo-amrwbenc0:amd64 (0.1.3-1) … Удаляется libwildmidi2:amd64 (0.4.2-1) … Удаляется libwildmidi-config (0.4.2-1) … Удаляется libzbar0:amd64 (0.10+doc-10.1build2) … Удаляется vlc-data (3.0.4-1ubuntu0.2) … Удаляется vlc-l10n (3.0.4-1ubuntu0.2) … dpkg: предупреждение: при удалении vlc-l10n каталог «/usr/share/locale/co/LC_MESSAGES» не пуст, поэтому не удалён Удаляется vlc-plugin-notify:amd64 (3.0.4-1ubuntu0.2) … Удаляется vlc-plugin-qt:amd64 (3.0.4-1ubuntu0.2) … Удаляется libvlccore9:amd64 (3.0.4-1ubuntu0.2) … При обработке следующих пакетов произошли ошибки: libvulkan1:amd64 E: Sub-process /usr/bin/dpkg returned an error code (1)

Zeus777 ()
Ответ на: комментарий от Zeus777

Ты хронический чайник и им будешь всегда!

Ты при подготовке сообщения видел внизу поля ввода текст «Внимание: прочитайте описание разметки LORCODE или Markdown.»?

anonymous ()
Ответ на: комментарий от svinarenko

а теперь переустанавливай всё это взад.

Зачем переустанавливать после autoremove? Хотя любопытно, почему, он например считает vlc-bin лишним..

Tanger ★★★★★ ()
Ответ на: комментарий от Tanger

autoremove много чо считает лишним. Я его юзаю как каталог всяких полезняшек, которые могут пригодиться в моих разработках, хех.

svinarenko ()
Ответ на: комментарий от anonymous

Чувак я чайник и нуб. То что я сейчас делаю это как тебя заставить перебрать двигатель машины. Ты помоги а не философствуй если можешь.

Zeus777 ()
Ответ на: комментарий от ktk

Бро меня бесполезно. Давай что бы не было вопросов. Что есть Linux Узнал день назад. Вчера скачал и поставил. Я не школота,но в системах не очень шарю и тем более в командах для них. Ошибка эта при установке эмулятора anbox. мне нужен эмулятор. По факту он стоит,но залить APK не могу,по ходу из за этой ошибки. Пришел сюда так как нуждаюсь в помощи,(пошаговой инструкции с командами как это исправить),но никиак не в тролинге...Спасибо.

Zeus777 ()
Ответ на: комментарий от Zeus777

Напиши команду пожалуйста.

Я не уверен, что это хорошее решение, но можешь попробовать:

sudo cp /var/lib/dpkg/status /var/lib/dpkg/status.bak
sudo nano /var/lib/dpkg/status

В nano поиском (ctrl+W) находишь блок с libvulkan1 и удаляешь все строки из этого блока (удалить строку - ctrl+K).
Затем записать измения ctrl+O и выйти ctrl+X.

Tanger ★★★★★ ()
Ответ на: комментарий от Tanger

Package: fonts-sil-abyssinica Status: deinstall ok installed Priority: optional Section: fonts Installed-Size: 2208 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> Architecture: all Multi-Arch: foreign Version: 1.500-1 Replaces: ttf-sil-abyssinica (<< 1.200-1) Pre-Depends: dpkg (>= 1.15.6~) Suggests: fontconfig, libgraphite3, pango-graphite Breaks: ttf-sil-abyssinica (<< 1.200-1) Description: smart Unicode font for Ethiopian and Erythrean scripts (Amharic et$ The Ethiopic script is used for writing many of the languages of Ethiopia and Eritrea. Ethiopic (U+1200..U+137F) was added to Unicode 3.0. Ethiopic Supplement (U+1380..U+139F) and Ethiopic Extended (U+2D80..U+2DDF) were added to Unicode 4.1. Abyssinica SIL supports all Ethiopic characters which are in Unicode including the Unicode 4.1 extensions. Some languages of [ Read 40331 lines ] ^G Помощь ^O Записать ^W Поиск ^K Вырезать ^J Выровнять ^C ТекПозиц ^X Выход ^R ЧитФайл ^\ Замена ^U Отмен. выр^T Словарь ^_ К строке

Zeus777 ()
Ответ на: комментарий от Zeus777

В nano поиском (ctrl+W) находишь блок с libvulkan1 и удаляешь все строки из этого блока (удалить строку - ctrl+K).
Затем записать измения ctrl+O и выйти ctrl+X.

Я же написал.

Tanger ★★★★★ ()
Последнее исправление: Tanger (всего исправлений: 1)
Ответ на: комментарий от Tanger

Имя файла для записи: /var/lib/dpkg/status ^G Помощь M-D Формат DOS M-A Доп. в начало M-B Резерв. копия ^C Отмена M-M Формат Mac M-P Доп. в конец ^T К файлам Извини что туплю. Тут то что делать?Он просит имя или что то подобное.

Zeus777 ()
Ответ на: комментарий от Zeus777

Чувак, если хочешь, чтобы тебе помогали, используй разметку, глазам больно читать. Для этого не требуется особых навыков: [code]echo a[/code] превращается в

echo a

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от Tanger

Дружище спасибо,вроде снес этот пакет,но вот почему то до сих пор не могу залить игру на эмулятор...В чем может быть причина?(понятно что кривые руки))))

Zeus777 ()
Ответ на: комментарий от Zeus777

вот почему то до сих пор не могу залить игру на эмулятор...В чем может быть причина?

Это к телепатам. У тебя написано только «apk», «anbox», «не могу». По таким данным невозможно ничего посоветовать.

Разве что только первое видео с youtube найденное по первым двум словам: https://www.youtube.com/watch?v=vv0yYRBMsPk

Tanger ★★★★★ ()
Ответ на: комментарий от Tanger
kronos@kronos-Notebook-PC:~$ sudo yum install cryptkeeper
[sudo] пароль для kronos: 
sudo: yum: команда не найдена
kronos@kronos-Notebook-PC:~$

очень странно,но у меня ничего не ставится(((

Zeus777 ()
Ответ на: комментарий от Zeus777

apt-get

yum install ...
очень странно,но у меня ничего не ставится(((

Ничего странного в этом нет. Ты копипастишь откуда-то где кто-то что-то ставит в fedora (хотя там уже в основном dnf используется).

Могу помочь только так.

Tanger ★★★★★ ()
Ответ на: комментарий от Tanger
kronos@kronos-Notebook-PC:~$ sudo apt-get update
[sudo] пароль для kronos: 
Чтение списков пакетов… Готово
E: Не удалось получить файл блокировки /var/lib/apt/lists/lock - open (11: Ресурс временно недоступен)
E: Невозможно заблокировать каталог /var/lib/apt/lists/
kronos@kronos-Notebook-PC:~$ sudo apt-get
apt 1.6.8 (amd64)
Использование: apt-get [параметры] команда
               apt-get [параметры] install|remove пакет1 [пакет2…]
               apt-get [параметры] source пакет1 [пакет2…]

apt-get — интерфейс командной строки для получения пакетов и
информации о них из доверенных источников, а также установки,
обновления и удаления пакетов вместе с их зависимостями.

Основные команды:
  update - получить новые списки пакетов
  upgrade - выполнить обновление
  install - установить новые пакеты (указывается имя пакета libc6, а не имя файла libc6.deb)
  remove - удалить пакеты
  purge - удалить пакеты вместе с их файлами настройки
  autoremove - автоматически удалить все неиспользуемые пакеты
  dist-upgrade - обновить всю систему, подробнее в apt-get(8)
  dselect-upgrade - руководствоваться выбором, сделанным в dselect
  build-dep - настроить сборочные зависимости для пакета с исходным кодом
  clean - удалить скачанные файлы архивов
  autoclean - удалить старые скачанные файлы архивов
  check - проверить отсутствие нарушенных зависимостей
  source - скачать архивы с исходным кодом
  download - скачать двоичный пакет в текущий каталог
  changelog - скачать и показать журнал изменений заданного пакета

Дополнительную информацию о доступных командах смотрите в apt-get(8).
Параметры настройки и синтаксис описаны в apt.conf(5).
Информацию о том, как настроить источники, можно найти в sources.list(5).
Выбор пакетов и версий описывается через apt_preferences(5).
Информация о безопасности доступна в apt-secure(8).
                    В APT есть коровья СУПЕРСИЛА.
kronos@kronos-Notebook-PC:~$ 

по моему это востание машин)))

Zeus777 ()
Ответ на: комментарий от Alve

Видимо ты сразу умный родился. Только вот не знал что(Alve) переводится как (ПРОБКА).

Zeus777 ()
Ответ на: комментарий от Zeus777

1. наведи курсор мышки на ссылку
2. нажми на левую кнопку мыши (или тачпада)
3. подожди появления прыгающего тултипа
4. нажми на кнопку «Google search»
5. нажми на любой результат с первой страницы результатов

Tanger ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.